## ros-rolling-pluginlib 5.3.0

=== debian/changelog ===
ros-rolling-pluginlib (5.3.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-pluginlib (5.2.2-1jammy) jammy; urgency=high

  * Update maintainers
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-pluginlib (5.2.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-pluginlib (5.2.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-rolling-pluginlib (5.1.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} and remove ament_target_dependencies calls (#226 <https://github.com/ros/pluginlib/issues/226>)
  * Require <memory> (#225 <https://github.com/ros/pluginlib/issues/225>)
  * Move LibraryLoadExceptions down a level for more accurate error messages (#221 <https://github.com/ros/pluginlib/issues/221>)
  * Update maintainers to Chris Lalancette (#223 <https://github.com/ros/pluginlib/issues/223>)
  * extend termination condition to avoid infinite loop if package.xml is not found (#220 <https://github.com/ros/pluginlib/issues/220>)
  * Remove deprecated headers. (#217 <https://github.com/ros/pluginlib/issues/217>)
  * Contributors: Alberto Soragna, Audrow Nash, Chris Lalancette, David V. Lu!!, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-pluginlib (5.0.0-1jammy) jammy; urgency=high

  * Use rcpputils for the filesystem implementation. (#212 <https://github.com/ros/pluginlib/issues/212>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-pluginlib (4.1.2-1jammy) jammy; urgency=high

  * Check for NULL in XMLElement::Attribute
  * Check for NULL in XMLElement::GetText
  * Check for NULL in XMLNode::Value
  * Remove unused variable output_library (#211 <https://github.com/ros/pluginlib/issues/211>)
  * Make Chris a maintainer of pluginlib. (#210 <https://github.com/ros/pluginlib/issues/210>)
  * Add QNX C++ fs library compiler option (#205 <https://github.com/ros/pluginlib/issues/205>)
  * Contributors: Ahmed Sobhy, Chris Lalancette, Jeremie Deray, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-pluginlib (4.1.1-1jammy) jammy; urgency=high

  * Fix cmake 3.5 compatibility (#203 <https://github.com/ros/pluginlib/issues/203>)
  * Contributors: Karsten Knese

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 27 Aug 2020 00:00:00 -0000

ros-rolling-pluginlib (4.1.0-1jammy) jammy; urgency=high

  * Add function for same-package pluginlib tests (#201 <https://github.com/ros/pluginlib/issues/201>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 25 Aug 2020 00:00:00 -0000

ros-rolling-pluginlib (4.0.0-1jammy) jammy; urgency=high

  * Remove deprecated boost functions (#199 <https://github.com/ros/pluginlib/issues/199>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-rolling-pluginlib (2.5.2-1jammy) jammy; urgency=high

  * Link against tinyxml2 correctly (#190 <https://github.com/ros/pluginlib/issues/190>)
  * Export tinyxml2 directly from pluginlib-extras.cmake (#192 <https://github.com/ros/pluginlib/issues/192>)
  * Contributors: Karsten Knese, Sean Yen

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-pluginlib (2.5.1-1jammy) jammy; urgency=high

  * Add missing export of stdc++fs and TinyXML2 via modern CMake (#189 <https://github.com/ros/pluginlib/issues/189>)
  * Contributors: Dirk Thomas

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-rolling-pluginlib (2.5.0-1jammy) jammy; urgency=high

  * Export CMake targets in a addition to include directories / libraries. (#188 <https://github.com/ros/pluginlib/issues/188>)
  * Use rcpputils for library names. (#186 <https://github.com/ros/pluginlib/issues/186>)
  * Fix filesystem linking on clang9. (#183 <https://github.com/ros/pluginlib/issues/183>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Emerson Knapp

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 25 Apr 2020 00:00:00 -0000

ros-rolling-pluginlib (2.4.1-1jammy) jammy; urgency=high

  * Avoid build break for Visual Studio 2019 v16.3 (#166 <https://github.com/ros/pluginlib/issues/166>)
  * Contributors: Sean Yen, Steven! Ragnarök

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-pluginlib (2.4.0-1jammy) jammy; urgency=high

  * Export tinyxml2 libraries downstream. (#154 <https://github.com/ros/pluginlib/issues/154>)
  * Contributors: Esteve Fernandez

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 18 Sep 2019 00:00:00 -0000

ros-rolling-pluginlib (2.3.1-1jammy) jammy; urgency=high

  * [ros2] Cast pointers to void * when using %p (#152 <https://github.com/ros/pluginlib/issues/152>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-pluginlib (2.3.0-1jammy) jammy; urgency=high

  * Updated build to choose the appropriate library for experimental filesystem, based on the compiler and standard library. (#146 <https://github.com/ros/pluginlib/issues/146>)
  * Added stdc++fs as a target link library for clang compiler on linux. (#144 <https://github.com/ros/pluginlib/issues/144>)
  * Added Michael as maintainer (for build e-mails). (#137 <https://github.com/ros/pluginlib/issues/137>)
  * Contributors: Emerson Knapp, Michael Carroll, bhatsach

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 14 Apr 2019 00:00:00 -0000

ros-rolling-pluginlib (2.2.1-1jammy) jammy; urgency=high


