=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Chris Lalancette <clalancette@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-index-cpp, ros-rolling-class-loader, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-tinyxml2-vendor, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-index-cpp, ros-rolling-class-loader, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-tinyxml2-vendor, ros-rolling-ros-workspace
 Homepage: http://www.ros.org/wiki/pluginlib
 Standards-Version: 3.9.2
